/*
   DO NOT MODIFY THIS CLASS.
*/

import java.util.Random;
import java.util.List;
import java.util.ArrayList;

/**
   This Triple class includes a utility method that
   generates a list of random Triple objects.
*/
public class Triple
{
   private final int first;
   private final int second;
   private final int third;

   private static Random generator = new Random();

   public Triple(int first, int second, int third)
   {
      this.first  = first;
      this.second = second;
      this.third  = third;
   }

   public int first() { return first; }
   public int second(){ return second; }
   public int third() { return third; }

   @Override public String toString()
   {
      return "(" + first + " " + second + " " + third + ")";
   }

   /**
      @param size   the number of random Triples to return
      @param range  the range used for the random number generator
      @return a List of Triples containing random number between 0 and range-1
   */
   public static List<Triple> makeTriples(int size, int range)
   {
      final List<Triple> result = new ArrayList<Triple>();
      for (int i = 0; i < size; ++i)
      {
         final int r1 = generator.nextInt(range);
         final int r2 = generator.nextInt(range);
         final int r3 = generator.nextInt(range);
         final Triple triple = new Triple(r1, r2, r3);
         result.add(triple);
      }
      return result;
   }
}
